%define thegame PySolFC
%define arcname %{thegame}-Cardsets
%define arcwithver %{arcname}-%{version}
%define pysol_ver 2.0
%define instdir /usr/share/%{thegame}

Summary: A collection of free cardsets adapted for use with PySolFC
Name: %{thegame}-cardsets
Version: 2.0
Release: %mkrel 9
Source0: %{arcwithver}.tar.bz2
License: GPL
Group: Games/Cards
URL: http://pysolfc.sourceforge.net/
BuildArch: noarch
Requires: %{thegame} >= %pysol_ver
Obsoletes: pysol-cardsets

%description
A collection of 153 free cardsets adapted for use with PySolFC.

%prep
%setup -q -n %{arcwithver}

%build

%install
mkdir -p %buildroot%{instdir}
cp -r cardset* %buildroot%{instdir}
cd %buildroot%{instdir}
# Remove some cardsets/directories that conflict with the main PySolFC
# package. DO NOT REMOVE this line.
rm -rf cardset-2000 cardset-crystal-mahjongg cardset-dashavatara-ganjifa cardset-dondorf cardset-mughal-ganjifa cardset-gnome-mahjongg-1 cardset-hexadeck cardset-kintengu cardset-matrix cardset-oxymoron cardset-standard cardset-tuxedo cardset-vienna-2k

%files
%{instdir}/*


%changelog
* Sat Feb 06 2016 shlomif <shlomif> 2.0-9.mga6
+ Revision: 942142
- Remove conflicting files between this and PySolFC

* Fri Feb 05 2016 umeabot <umeabot> 2.0-8.mga6
+ Revision: 938486
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-7.mga5
+ Revision: 751231
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0-6.mga5
+ Revision: 728011
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-5.mga5
+ Revision: 677647
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-4.mga4
+ Revision: 502408
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0-3.mga3
+ Revision: 345077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 philippem <philippem> 2.0-2.mga1
+ Revision: 70756
- imported package PySolFC-cardsets


* Mon Feb 15 2010 Shlomi Fish <shlomif@mandriva.org> 2.0-2mdv2010.1
+ Revision: 506354
- Correct some values and add an Obsoletes field
- import PySolFC-cardsets


* Sat Dec 05 2009 Shlomi Fish <shlomif@iglu.org.il> 2.0-1mdv
+ Updated to version 2.0.

* Mon May 26 2008 Shlomi Fish <shlomif@iglu.org.il> 1.1-1mdv
+ Adapted to PySolFC.

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.40-7mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jun 06 2006 Götz Waschk <waschk@mandriva.org> 4.40-7mdk
- Rebuild
- use mkrel

* Fri Jun 03 2005 Gtz Waschk <waschk@mandriva.org> 4.40-6mdk
- drop prefix
- remove the cardsets already in the main package

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.40-5mdk
- rebuild

* Mon Jul 07 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.40-4mdk
- move files around (fixes bug 4153)

